Subject: bug#72071: closed (Re: [bug#72071] [PATCH 0/2] A clean series of patches)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Aug 2024 10:39:03 +0000

Your bug report

#72071: [PATCH 0/2] Fix hdf5-parallel-openmpi

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72071: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72071
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#72071] [PATCH 0/2] A clean series of patches
From: Ludovic Courtès <[email-masked]>
To: Luca Cirrottola <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 19 Aug 2024 12:37:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Luca,

Luca Cirrottola <[email-masked]> skribis:

> Hello Ludo', following your suggestion, I have implemented a simpler
> solution that just skips off the problematic test (without moving
> around files). I send a new patch series with the full modifications
> to be applied to the recipe, containing one commit for the package
> version update, and one commit for skipping the test.
>
> Let me know if it looks better (no pressure).
>
> Thanks,
> Luca
>
> Luca Cirrottola (2):
>   Solve issue https://issues.guix.gnu.org/68313 by updating HDF5 version
>     to 1.14.3 (containing the official fix
>     https://github.com/HDFGroup/hdf5/pull/3421).
>   Skip test_check_version since the patch-settings phase needs to modify
>     the test reference file.

I reorganized the changes a bit; in particular, since skipping the test
is necessary for 1.14.3 to build, I squashed the upgrade and the test
skip in the same commit.

Also, the test change would break [email-masked], so I moved that to [email-masked].

The result is:

  84c62cf166 * gnu: hdf5-parallel-openmpi: Update to 1.14.x.
  832f2bcb92 * gnu: [email-masked]: Update to 1.14.3.

Tested with:

  ./pre-inst-env guix build --no-grafts \
    [email-masked] [email-masked] hdf5-parallel-openmpi [email-masked]

Thanks!

Ludo’.

Subject: [PATCH 0/2] Fix hdf5-parallel-openmpi
From: Luca Cirrottola <[email-masked]>
To: [email-masked]
Cc: Luca Cirrottola <[email-masked]>
Date: Fri, 12 Jul 2024 11:40:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Package hdf5-parallel-openmpi builds often fail with the error reported in https://issues.guix.gnu.org/68313 . The issue has been discussed in https://github.com/open-mpi/ompi/issues/11240 and https://github.com/HDFGroup/hdf5/issues/2196, and solved by https://github.com/HDFGroup/hdf5/pull/3421 that is included in HDF5 release 1.14.3. My proposed solution consists of two commits, the first for updating the HDF5 version in hdf5-parallel-openmpi to 1.14.3, the second for fixing a new test error due to the recipe modifying a file which is used as a test reference (my proposition is to remove this modification, but I don't know why it was introduced in the first place, so thanks for any comment about this).

Luca Cirrottola (2):
  Solve issue https://issues.guix.gnu.org/68313 by updating HDF5 version
    to 1.14.3 (containing the official fix
    https://github.com/HDFGroup/hdf5/pull/3421).
  Fix broken HDF5 test: Do not modify the file src/libhdf5.settings
    generated by the configure script, as it will be checked against a
    new version generated by the test code in
    test/test_check_version.sh.in.

 gnu/packages/maths.scm | 19 +++----------------
 1 file changed, 3 insertions(+), 16 deletions(-)

-- 
2.34.1